<h1 class="m-3">YouTube App</h1>
<br>

<div class="row">
    <div class="col">

        <div class="card-columns">
            <div class="card animated fadeIn" *ngFor="let video of videos">
                <img [src]="video.thumbnails.high.url" class="card-img-top" [alt]="video.title">
                <div class="card-body">
                    <h5 class="card-title">{{ video.title }}</h5>
                    <p class="card-text">{{ video.description | slice:0:150 }} ...</p>
                </div>
                <div class="card-body">
                    <strong>Autor:</strong> {{ video.channelTitle }}
                    <strong>Publicacion:</strong> {{ video.publishedAt | date }}
                </div>
                <button type="button" class="btn btn-outline-primary btn-block" (click)="mostrarVideo( video )">
                    Ver video
                </button>
            </div>
        </div>

    </div>
</div>

<div class="row mt-5 mb-5 text-center">
    <div class="col">
        <button type="button" class="btn btn-outline-primary btn-lg" (click)="cargarVideos()">
            Siguiente ...
        </button>
    </div>
</div>